# HubSpot docs: APIs Legacy CRM

## CRM

- [HubSpot CRM embed](https://developers.hubspot.com/docs/api-reference/legacy/crm/embed.md): Learn how to embed a HubSpot view such as a record timeline, property history, or meeting link in a third-party platform.
- [CRM search](https://developers.hubspot.com/docs/api-reference/legacy/crm/search-the-crm.md): The CRM search endpoints make getting data more efficient by allowing developers to filter, sort, and search across any CRM object type.
- [Understanding the CRM APIs](https://developers.hubspot.com/docs/api-reference/legacy/crm/understanding-the-crm.md): HubSpot’s CRM is a system for managing customer relationships and data. Learn about objects and the related CRM APIs.
- [Using Object APIs](https://developers.hubspot.com/docs/api-reference/legacy/crm/using-object-apis.md): Learn how to use the object API endpoints to create and manage records or activities.
- [APIs / Legacy / CRM / Objects (425 pages)](https://developers.hubspot.com/docs/_llms/apis/legacy/crm/objects.md): Documentation for APIs / Legacy / CRM / Objects.

### Activities

#### Calls

- [Activities | Calls](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/calls/guide.md): Use the calls engagement API to log and manage calls on CRM records.
- [Create](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/calls/create-call.md): Create a call with the given properties and return a copy of the object, including the ID. Documentation and examples for creating standard calls is provided.
- [Read](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/calls/get-call.md): Read an Object identified by `{callId}`. `{callId}` refers to the internal object ID by default, or optionally any unique property value as specified by the `idProperty` query param.  Control what is returned via the `properties` query param.
- [List](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/calls/get-calls.md): Read a page of calls. Control what is returned via the `properties` query param.
- [Update](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/calls/update-call.md): Perform a partial update of an Object identified by `{callId}`or optionally a unique property value as specified by the `idProperty` query param. `{callId}` refers to the internal object ID by default, and the `idProperty` query param refers to a property whose values are unique for the object. Prov…
- [Archive](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/calls/delete-call.md): Move an Object identified by `{callId}` to the recycling bin.

##### Batch

- [Create a batch of calls](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/calls/batch/create-calls.md): Create a batch of calls. The `inputs` array can contain a `properties` object to define property values for each record, along with an `associations` array to define [associations](https://developers.hubspot.com/docs/guides/api/crm/associations/associations-v4) with other CRM records.
- [Read a batch of calls by internal ID, or unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/calls/batch/get-calls.md): Retrieve a batch of calls by ID.
- [Update a batch of calls by internal ID, or unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/calls/batch/update-calls.md): Update a batch of calls by ID.
- [Create or update a batch of calls by unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/calls/batch/upsert-calls.md): Create or update records identified by a unique property value as specified by the `idProperty` query param. `idProperty` query param refers to a property whose values are unique for the object.
- [Archive a batch of calls by ID](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/calls/batch/delete-calls.md): Archive a batch of calls by ID. Deleted calls can be restored within 90 days of being deleted, but call recordings recording will be permanently deleted. Learn more about [restoring activity records](https://knowledge.hubspot.com/records/restore-deleted-activity-in-a-record).

##### Search

- [Search for calls](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/calls/search/search-calls.md): Search for calls by filtering on properties, searching through associations, and sorting results. Learn more about [CRM search](https://developers.hubspot.com/docs/guides/api/crm/search#make-a-search-request).

#### Emails

- [Activities | Email](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/emails/guide.md): Use the email engagement API to log and manage emails on CRM records.
- [Create](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/emails/create-email.md): Create a email with the given properties and return a copy of the object, including the ID. Documentation and examples for creating standard emails is provided.
- [Read](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/emails/get-email.md): Read an Object identified by `{emailId}`. `{emailId}` refers to the internal object ID by default, or optionally any unique property value as specified by the `idProperty` query param.  Control what is returned via the `properties` query param.
- [List](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/emails/get-emails.md): Read a page of emails. Control what is returned via the `properties` query param.
- [Update](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/emails/update-email.md): Perform a partial update of an Object identified by `{emailId}`or optionally a unique property value as specified by the `idProperty` query param. `{emailId}` refers to the internal object ID by default, and the `idProperty` query param refers to a property whose values are unique for the object. Pr…
- [Archive](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/emails/delete-email.md): Move an Object identified by `{emailId}` to the recycling bin.

##### Batch

- [Create a batch of emails](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/emails/batch/create-emails.md): Create a batch of emails with specified properties and return the created objects.
- [Read a batch of emails by internal ID, or unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/emails/batch/get-emails.md): Retrieve records by record ID or include the `idProperty` parameter to retrieve records by a custom unique value property.
- [Update a batch of emails by internal ID, or unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/emails/batch/update-emails.md): Update a batch of emails using their internal IDs or unique property values.
- [Create or update a batch of emails by unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/emails/batch/upsert-emails.md): Create or update records identified by a unique property value as specified by the `idProperty` query param. `idProperty` query param refers to a property whose values are unique for the object.
- [Archive a batch of emails by ID](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/emails/batch/delete-emails.md): Archive a batch of emails identified by their IDs.

##### Search

- [Search for emails using specified criteria and filters.](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/emails/search/search-emails.md): Perform a search for emails based on the provided query parameters and return matching results.

#### Meetings

- [Activities | Meetings](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/meetings/guide.md): Use the meetings engagement API to log and manage meetings on CRM records.
- [Create](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/meetings/create-meeting.md): Create a meeting with the given properties and return a copy of the object, including the ID. Documentation and examples for creating standard meetings is provided.
- [Read](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/meetings/get-meeting.md): Read an Object identified by `{meetingId}`. `{meetingId}` refers to the internal object ID by default, or optionally any unique property value as specified by the `idProperty` query param.  Control what is returned via the `properties` query param.
- [List](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/meetings/get-meetings.md): Read a page of meetings. Control what is returned via the `properties` query param.
- [Update](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/meetings/update-meeting.md): Perform a partial update of an Object identified by `{meetingId}`or optionally a unique property value as specified by the `idProperty` query param. `{meetingId}` refers to the internal object ID by default, and the `idProperty` query param refers to a property whose values are unique for the object…
- [Archive](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/meetings/delete-meeting.md): Move an Object identified by `{meetingId}` to the recycling bin.

##### Batch

- [Create a batch of meetings](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/meetings/batch/create-meetings.md)
- [Read a batch of meetings by internal ID, or unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/meetings/batch/get-meetings.md): Retrieve records by record ID or include the `idProperty` parameter to retrieve records by a custom unique value property.
- [Update a batch of meetings by internal ID, or unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/meetings/batch/update-meetings.md)
- [Create or update a batch of meetings by unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/meetings/batch/upsert-meetings.md): Create or update records identified by a unique property value as specified by the `idProperty` query param. `idProperty` query param refers to a property whose values are unique for the object.
- [Archive a batch of meetings by ID](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/meetings/batch/delete-meetings.md)

##### Search

- [Search meetings](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/meetings/search/search-meetings.md)

#### Notes

- [Activities | Notes](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/notes/guide.md): Contact records store information about individuals. The contacts endpoints allow you to manage this data and sync it between HubSpot and other systems.
- [Create](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/notes/create-note.md): Create a note with the given properties and return a copy of the object, including the ID. Documentation and examples for creating standard notes is provided.
- [Read](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/notes/get-note.md): Read an Object identified by `{noteId}`. `{noteId}` refers to the internal object ID by default, or optionally any unique property value as specified by the `idProperty` query param.  Control what is returned via the `properties` query param.
- [List](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/notes/get-notes.md): Read a page of notes. Control what is returned via the `properties` query param.
- [Update](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/notes/update-note.md): Perform a partial update of an Object identified by `{noteId}`or optionally a unique property value as specified by the `idProperty` query param. `{noteId}` refers to the internal object ID by default, and the `idProperty` query param refers to a property whose values are unique for the object. Prov…
- [Archive](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/notes/delete-note.md): Move an Object identified by `{noteId}` to the recycling bin.

##### Batch

- [Create a batch of notes](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/notes/batch/create-notes.md): Create multiple notes in a single request by providing the necessary properties for each note. This operation returns the created notes with their unique identifiers.
- [Read a batch of notes by internal ID, or unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/notes/batch/get-notes.md): Retrieve records by record ID or include the `idProperty` parameter to retrieve records by a custom unique value property.
- [Update a batch of notes by internal ID, or unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/notes/batch/update-notes.md): Update multiple notes using their internal IDs or unique property values. This operation allows you to modify the properties of several notes in a single request, streamlining the process of managing note data in bulk.
- [Create or update a batch of notes by unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/notes/batch/upsert-notes.md): Create or update records identified by a unique property value as specified by the `idProperty` query param. `idProperty` query param refers to a property whose values are unique for the object.
- [Archive a batch of notes by ID](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/notes/batch/delete-notes.md): Archive multiple notes by their IDs in a single request. This operation moves the specified notes to the recycling bin, making them inaccessible from regular queries.

##### Search

- [Search for notes based on specified criteria.](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/notes/search/search-notes.md): Execute a search for notes using filters, sorting options, and other query parameters to refine the results. This endpoint allows for complex queries to locate specific notes within the CRM system.

#### Postal mail

- [Activities | Postal Mail](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/postal-mail/guide.md): Use the postal mail engagement API to log any postal mail you've sent to or received from contacts or companies on their CRM records.
- [Create postal mail](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/postal-mail/create-postal-mail.md)
- [Get postal mail](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/postal-mail/get-postal-mail-postalMailId.md)
- [Get all postal mail](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/postal-mail/get-postal-mail.md)
- [Update postal mail](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/postal-mail/update-postal-mail.md)
- [Archive postal mail](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/postal-mail/delete-postal-mail.md)

##### Batch

- [Create postal mail](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/postal-mail/batch/create-postal-mail.md)
- [Retrieve postal mail](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/postal-mail/batch/get-postal-mail.md)
- [Update postal mail](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/postal-mail/batch/update-postal-mail.md)
- [Upsert postal mail](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/postal-mail/batch/upsert-postal-mail.md)
- [Archive postal mail](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/postal-mail/batch/delete-postal-mail.md)

##### Search

- [Search for postal mail](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/postal-mail/search/search-postal-mail.md)

#### Tasks

- [Activities | Tasks](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/tasks/guide.md): Use the tasks engagement API to log and manage tasks on CRM records.
- [Create](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/tasks/create-task.md): Create a task with the given properties and return a copy of the object, including the ID. Documentation and examples for creating standard tasks is provided.
- [Read](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/tasks/get-task.md): Read an Object identified by `{taskId}`. `{taskId}` refers to the internal object ID by default, or optionally any unique property value as specified by the `idProperty` query param.  Control what is returned via the `properties` query param.
- [List](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/tasks/get-tasks.md): Read a page of tasks. Control what is returned via the `properties` query param.
- [Update](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/tasks/update-task.md): Perform a partial update of an Object identified by `{taskId}`or optionally a unique property value as specified by the `idProperty` query param. `{taskId}` refers to the internal object ID by default, and the `idProperty` query param refers to a property whose values are unique for the object. Prov…
- [Archive](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/tasks/delete-task.md): Move an Object identified by `{taskId}` to the recycling bin.

##### Batch

- [Create a batch of tasks](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/tasks/batch/create-tasks.md): Create multiple tasks in a single request by providing a batch of task properties and associations. This endpoint allows for efficient task creation by processing multiple tasks together.
- [Read a batch of tasks by internal ID, or unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/tasks/batch/get-tasks.md): Retrieve records by record ID or include the `idProperty` parameter to retrieve records by a custom unique value property.
- [Update a batch of tasks by internal ID, or unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/tasks/batch/update-tasks.md): Update multiple tasks in a single request using their internal IDs or unique property values. This operation allows you to modify the properties of each task in the batch, ensuring efficient management of task data.
- [Create or update a batch of tasks by unique property values](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/tasks/batch/upsert-tasks.md): Create or update records identified by a unique property value as specified by the `idProperty` query param. `idProperty` query param refers to a property whose values are unique for the object.
- [Archive a batch of tasks by ID](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/tasks/batch/delete-tasks.md): Archive a batch of tasks by their IDs, moving them to the recycling bin. This operation requires a list of task IDs to be provided in the request body.

##### Search

- [Search for tasks using specified criteria.](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/tasks/search/search-tasks.md): Execute a search for tasks based on the provided criteria, including filters, properties, and sorting options. This allows for retrieving tasks that match specific conditions or property values.

#### Engagements

- [Get call engagement dispositions](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/engagements/get-calling-v1-dispositions.md): Get all possible dispositions for sales calls (stored as engagements), listed as the outcome when viewing the call's outcome when viewing the call in the timeline in HubSpot. Due to how the underlying redirect logic works, your API logs will show any calls to this endpoint as /twilio/v1/dispositions…
- [Get an engagement](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/engagements/get-engagements-v1-engagements-engagement-id.md): This endpoint is used to get an engagement (a task or activity) for a CRM record in HubSpot. Use case for this endpoint: This data can be used to report on per-rep productivity or to integrate HubSpot with other back-office tools. For another example, you can use this information about an individual…
- [Get all engagements](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/engagements/get-engagements-v1-engagements-paged.md): This endpoint is used to get all engagements in an account. Use case for this endpoint: Because engagements represent individual activity, you can use the endpoint to source the inputs for a machine learning model to help predict the best time for a call to a prospect or a customer.
- [Get recent engagements](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/engagements/get-engagements-v1-engagements-recent-modified.md): Get the most recently created or updated engagements in a portal, sorted by when they were last updated, with the most recently updated engagements first.
- [Get engagements modified after](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/engagements/get-engagements-v1-engagements-modified-after.md): Get engagements that have been modified after a given point in time. Pass a Unix timestamp in milliseconds to start from a specific date, or pass a cursor returned by a previous response to continue from where you left off. Use this endpoint for incremental sync to efficiently retrieve only new and…
- [Update an engagement](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/engagements/patch-engagements-v1-engagements-engagement-id.md): Update an engagement (a task or activity) on an object in HubSpot. See the documentation for creating an engagement for more details on the fields that can be included. Note: Associations cannot be modified using this endpoint. Use the CRM associations API to update associations for existing engagem…
- [Create an engagement](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/engagements/post-engagements-v1-engagements.md): Use this endpoint to create an engagement (an email, call, meeting, task or note) on an object in HubSpot. Use case for this endpoint: This endpoint is useful for keeping your CRM records up-to-date on any interactions that take place outside of HubSpot. Activity reporting in the CRM also feeds off…
- [Delete an engagement](https://developers.hubspot.com/docs/api-reference/legacy/crm/activities/engagements/delete-engagements-v1-engagements-engagement-id.md): Delete an engagement (a task or activity) on an object in HubSpot. Use case for this endpoint: Remove engagements that were created in error or are no longer needed.

### Associations

- [Associations overview](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/overview.md): Learn how to create and manage associations between object records via the API.

#### Associate records

- [Associate records](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associate-records/guide.md): The CRM Associations endpoints are used to manage associations between object records.
- [Retrieve all associations by object type](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associate-records/get-associations.md): Retrieve all associations between a specific record and an object type. Limit 500 per call.
- [Report high usage](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associate-records/report-high-usage.md): Requests a report of all objects in the portal which have a high usage of associations
- [Associate records (labeled)](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associate-records/update-association-labeled.md): Set association labels between two records.
- [Associate records (default)](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associate-records/update-association.md): Create the default (most generic) association type between two object types
- [Remove association between records](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associate-records/delete-association.md): deletes all associations between two records.

##### Batch

- [Associate records (labeled)](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associate-records/batch/create-associations-labeled.md): Batch create associations for objects
- [Associate records (default)](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associate-records/batch/create-associations.md): Create the default (most generic) association type between two object types
- [Retrieve associations](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associate-records/batch/get-associations.md): Batch read associations for objects to specific object type. The 'after' field in a returned paging object  can be added alongside the 'id' to retrieve the next page of associations from that objectId. The 'link' field is deprecated and should be ignored. Note: The 'paging' field will only be presen…
- [Delete specific labels](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associate-records/batch/delete-association-labels.md): Batch delete specific association labels for objects. Deleting an unlabeled association will also delete all labeled associations between those two objects
- [Remove associations](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associate-records/batch/delete-associations.md): Batch delete associations for objects

#### Associations schema

- [Configure associations](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associations-schema/guide.md): The Associations Schema endpoints are used to manage association types across objects.

##### Labels

- [Create association label](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associations-schema/labels/create-associations-label.md): Create a new label that describes the relationship between two specified CRM object types. This can help in categorizing and managing associations more effectively.
- [Retrieve association labels](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associations-schema/labels/get-associations-label.md): Retrieve all labels that describe the relationships between two specified CRM object types. These labels provide context about the nature of the associations.
- [Update association label](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associations-schema/labels/update-associations-label.md): Update an existing label that describes the relationship between two specified CRM object types. This allows for modifications to existing association labels to better reflect the nature of the relationship.
- [Delete association label](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associations-schema/labels/delete-associations-label.md): Remove a specific label from the association between two CRM object types.

##### Limits

- [Configure association limits](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associations-schema/limits/create-associations-limits.md): Batch configure association limits between two object types.
- [Retrieve all association limits](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associations-schema/limits/get-all-associations-limits.md): Retrieve all configured association limits between objects, which include details about how different CRM object types are associated with each other.
- [Retrieve association limits](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associations-schema/limits/get-associations-limits.md): Retrieve the configuration details for associations between two specified CRM object types. Use this endpoint to understand limits that have been set for specific association types.
- [Update association limits](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associations-schema/limits/update-associations-limits.md): Batch update association limits that have been configured between two object types.
- [Remove association limits](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/associations-schema/limits/delete-associations-limits.md): Batch delete limits that have been defined for association types between two object types.

#### v3

- [Associate records](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/v3/associate-records.md): The CRM Associations endpoints are used to manage associations between tickets, products, line items, and their related contacts, companies, and deals.
- [Retrieve association types between objects.](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/v3/get-associations-schema.md)

##### Batch

- [Create associations](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/v3/batch/create-associations-labeled.md): Batch create associations for objects
- [Retrieve associations](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/v3/batch/get-associations.md): Batch read associations for objects to specific object type. The 'after' field in a returned paging object  can be added alongside the 'id' to retrieve the next page of associations from that objectId. The 'link' field is deprecated and should be ignored. Note: The 'paging' field will only be presen…
- [Archive associations](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/v3/batch/delete-associations.md): Batch delete associations for objects

#### v1

- [Associate CRM objects](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/v1/create-association.md): This endpoint is used to associate two CRM objects. Use case for this endpoint: You can use this endpoint to associate a ticket with a contact or to associate a line item with a deal. See all possible associations on the CRM Associations Overview. If you need to make multiple associations (either to…
- [Create multiple associations between CRM objects](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/v1/create-associations-batch.md): Create multiple associations between CRM objects. The JSON data in the PUT request would be a list of associations, with each one representing a single association between 2 objects (for example, a ticket to a contact). To associate one object with multiple other objects (i.e. to associate a ticket…
- [Get associations for a CRM object](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/v1/get-associations.md): Use this endpoint to get the IDs of CRM objects associated with a given object, based on the specified association type. Check out the table on the CRM Associations Overview for a full list of IDs. Use cases for this endpoint: To get the ticket IDs for all tickets associated with a specific contact…
- [Delete an association](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/v1/delete-association.md): Delete an association between 2 CRM objects. If you need to remove multiple associations, you can use the batch delete endpoint.
- [Delete multiple associations between CRM objects](https://developers.hubspot.com/docs/api-reference/legacy/crm/associations/v1/delete-associations.md): Delete multiple associations between CRM objects. The JSON data in the PUT request will be a list of items each representing a single association that you want to delete. See the example for more details.

### Exports

- [Exports](https://developers.hubspot.com/docs/api-reference/legacy/crm/exports/guide.md): Learn how to use the Exports API to export records in views or lists from your HubSpot account.
- [Start an export](https://developers.hubspot.com/docs/api-reference/legacy/crm/exports/create-export.md): Begins exporting CRM data for the portal as specified in the request body
- [Retrieve export status](https://developers.hubspot.com/docs/api-reference/legacy/crm/exports/get-export-status.md): Returns the status of the export with taskId, including the URL of the resulting file if the export status is COMPLETE
- [Retrieve export details](https://developers.hubspot.com/docs/api-reference/legacy/crm/exports/get-export.md): Retrieve detailed information about a specific CRM export, including its current state and properties.

### Extensions

#### Calling extensions

- [CRM API | Receive calls in HubSpot when using calling apps](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/receive-incoming-calls.md): You can receive calls in HubSpot when using calling apps.
- [Call recordings and transcripts](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/recordings-and-transcriptions.md): Learn how to log call recordings and their associated transcripts in HubSpot.
- [Set up third-party calling in help desk](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/third-party-calling.md): Learn how to set up third-party calling in your HubSpot help desk.
- [Third-party transcripts](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/third-party-transcripts.md): Enable HubSpot to use transcripts from a third-party platform as a part of its Conversation Intelligence feature.

##### Channel Connection Settings

- [Configure channel connection settings](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/channel-connection-settings/create-channel-connection-settings.md): Establish new channel connection settings for the specified app.
- [Retrieve channel connection settings](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/channel-connection-settings/get-channel-connection-settings.md): Access the current channel connection settings for the specified app.
- [Update channel connection settings](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/channel-connection-settings/update-channel-connection-settings.md): Modify the existing channel connection settings for the specified app.
- [Delete channel connection settings](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/channel-connection-settings/delete-channel-connection-settings.md): Delete the channel connection settings associated with the specified app.

##### Inbound

- [Submit details of an inbound call to the CRM.](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/inbound/create-inbound-call-details.md): This endpoint allows you to submit information about an inbound call to the CRM system. The request must include details such as the external call ID, call status, and involved phone numbers. This operation helps in logging and managing inbound call data within the CRM.

##### Recording

- [Mark a call recording as ready](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/recording/call-recording-ready.md): This endpoint is used to mark a call recording as ready. It requires the engagementId to identify the specific recording.

##### Recording Settings

- [Create recording settings for an app.](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/recording-settings/create-recording-settings.md): Create new recording settings for a specific app using the provided app ID.
- [Retrieve recording settings for an app.](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/recording-settings/get-recording-settings.md): Retrieve the current recording settings for a specific app using the provided app ID.
- [Update recording settings for an app.](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/recording-settings/update-recording-settings.md): Update the recording settings for a specific app using the provided app ID.

##### Settings

- [Create new calling extension settings for a specific app.](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/settings/create-calling-extension.md): Create new settings for the calling extension associated with the specified appId.
- [Retrieve the calling extension settings for a specific app.](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/settings/get-calling-extensions.md): Retrieve the current settings of the calling extension for the specified appId.
- [Update the calling extension settings for a specific app.](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/settings/update-calling-extension.md): Modify existing calling extension settings for the specified appId. Only the fields provided in the request will be updated.
- [Delete the calling extension settings for a specific app.](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/calling-extensions/settings/delete-calling-extension.md): Remove the calling extension settings associated with the specified appId. This action cannot be undone.

#### CRM cards

- [Legacy CRM cards](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/crm-cards/guide.md): Learn about CRM cards built for legacy public apps.
- [Create a CRM card](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/crm-cards/create-crm-card.md): Defines a new card that will become active on an account when this app is installed.
- [Retrieve a CRM card](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/crm-cards/get-crm-card.md): Returns the definition for a card with the given ID.
- [Retrieve all CRM cards](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/crm-cards/get-crm-cards.md): Returns a list of cards for a given app.
- [Get sample CRM card detail response](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/crm-cards/get-sample-response.md): Returns an example card detail response. This is the payload with displayed details for a card that will be shown to a user. An app should send this in response to the data fetch request.
- [Migrate CRM card views](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/crm-cards/migrate-crm-card.md): Swaps a Legacy CRM Card with an App Card in views. Reference the "Migrate a legacy CRM card to an app card" docs for more information
- [Update a CRM card](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/crm-cards/update-crm-card.md): Update a card definition with new details.
- [Delete a CRM card](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/crm-cards/delete-crm-card.md): Permanently deletes a card definition with the given ID. Once deleted, data fetch requests for this card will no longer be sent to your service. This can't be undone.

#### Timeline

- [CRM API | Timeline events](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/guide.md): Overview and walkthrough of the Timeline API.

##### Events

- [Create multiple events](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/events/create-create.md): Batch create multiple instances of timeline events based on an event template. Once created, these event are immutable on the object timeline and cannot be modified. If the event template was configured to update object properties via `objectPropertyName`, this call will also attempt to updates thos…
- [Send event data (single)](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/events/create-timeline.md): Send a single instance of event data to a specified event type.
- [Get an event instance](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/events/get-timeline.md): Retrieve an event instance, specified by template ID and event ID.

##### v3 event types external

- [Add tokens to an existing template](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v3-event-types-external/create-timeline-eventTemplateId.md): Update an existing event type template with new tokens.
- [Create an event template](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v3-event-types-external/create-timeline.md): Event templates define the general structure for a custom timeline event, and enable you to send event data to HubSpot. A template includes formatted copy for its heading and details, as well as any custom property definitions. A single app can include up to 750 event templates.<br/><Warning>the `v1…
- [Get an event template](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v3-event-types-external/get-timeline-eventTemplateId.md): Retrieve an event type template by ID.
- [Get all event templates](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v3-event-types-external/get-timeline.md): Retrieve all templates defined for an app.
- [Update a template token](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v3-event-types-external/update-timeline-tokenName.md): Update an event type template token, specified by token name.
- [Update an event template](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v3-event-types-external/update-timeline.md): Update an existing event template, specified by ID.
- [Delete a template token](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v3-event-types-external/delete-timeline-tokenName.md): Delete an existing token from a specific event type template.
- [Delete an event template](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v3-event-types-external/delete-timeline.md): Delete an event type template by ID.

##### v1

- [Get Timeline Event](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v1/get-integrations-v1-application-id-timeline-event-event-typeid-event-id.md): Get the data for a specific timeline event. All data that the event has will be returned, including the optional fields that were set for you.
- [Get timeline event type by ID](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v1/get-integrations-v1-application-id-timeline-event-types-event-type-id.md): Retrieve a timeline event type by its ID. The response will include event type details such as `name`, `objectType`, and the header and detail templates.
- [Get Properties for Timeline Event Type](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v1/get-integrations-v1-application-id-timeline-event-types-event-typeid-properties.md): Retrieve existing properties defined for a timeline event type. You can include these properties when sending event data to that event type, then use them in the event template for timeline display as well as list segmentation.
- [Get Timeline Event Types](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v1/get-integrations-v1-application-id-timeline-event-types.md): Get all of the event types for a specific application
- [Create a group of timeline events](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v1/post-integrations-v1-application-id-timeline-event-batch.md): Update an existing property for a specified timeline event type. The id passed in the JSON body needs to match the id of an existing property or this will return a 404 error.  Properties cannot be moved from one event type to another, so the eventTypeId included in the JSON body must match the event…
- [Create Property for Timeline Event Type](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v1/post-integrations-v1-application-id-timeline-event-types-event-typeid-properties.md): Create or update a group of timeline events. This can be used to backfill events when your integration is first installed, or to efficiently sync a large number of events occurring over a short period of time. See the Timeline Overview for more details about creating and working with events.
- [Create a new timeline event type](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v1/post-integrations-v1-application-id-timeline-event-types.md): Create a new timeline event type template to begin sending event data to HubSpot.<br/><Warning>the `v1` and `v3` timeline events APIs are only available for app partners with existing `v1`/`v3` timeline events defined in their public app. <ul><li>If your app doesn't include any timeline events yet,…
- [Create a timeline event](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v1/post-integrations-v1-application-id-timeline-event.md): Create a new event, or update an existing event. Please see the Timeline Overview for more details about creating events. Events must include at least one identity parameter to be associated with a contact record. See the overview and the examples for more details.
- [Update a Timeline Event Type](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v1/put-integrations-v1-application-id-timeline-event-types-event-type-id.md): Create a new event See the JSON examples for more details for including custom properties or extra data. Returns a 204 response on success. Otherwise, you'll receive a 4xx error, with more details about the specific error in the body of the response.
- [Update Property for Timeline Event Type](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v1/put-integrations-v1-application-id-timeline-event-types-event-typeid-properties.md): Update an existing event type. Note: Changes to an event type may take up to an hour to update across new/existing events.
- [Create or update a timeline event](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v1/put-integrations-v1-application-id-timeline-event.md): Delete an existing Timeline event type.
- [Delete a timeline Event Type](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v1/delete-integrations-v1-application-id-timeline-event-types-event-type-id.md): Create a new event type. The event type should represent an action that can take place in your platform, and act as the template for individual events. You must create an event type before you can create individual events. By default, event types are created for contacts, but it's possible to create…
- [Delete Property for Timeline Event Type](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/timeline/v1/delete-integrations-v1-application-id-timeline-event-types-event-typeid-properties-property-id.md): Delete an existing property for a specified timeline event type.

#### Transcriptions

- [Create a transcript](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/transcriptions/create-transcript.md)
- [Retrieve a transcript](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/transcriptions/get-transcript.md)
- [Transcribe inbound call](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/transcriptions/transcribe-inbound.md)
- [Delete a transcript](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/transcriptions/delete-transcript.md)

#### Video conferencing extension

- [Video conference extension](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/video-conferencing-extension/guide.md): These endpoints are used to plug into the meeting creation flow within HubSpot and add video conference information.
- [Get settings](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/video-conferencing-extension/get-video-conferencing-extension.md): Fetch video conference extension settings for your app
- [Create or update settings](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/video-conferencing-extension/update-video-conferencing-extension.md): Create or update video conference extension settings for your app
- [Delete settings](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/video-conferencing-extension/delete-video-conferencing-extension.md): Delete video conference extension settings for your app

#### v1

- [View an object type](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/v1/get-extensions-sales-objects-v1-object-types-objecttype-id.md): View the details for an existing object type. See creating an object type or the overview page for details on the returned fields.
- [Create object type](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/v1/post-extensions-sales-objects-v1-object-types.md): Create a new CRM Extensions object type. This allows you to define custom object types that will appear in the HubSpot CRM interface.
- [Modify an object type](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/v1/put-extensions-sales-objects-v1-object-types-objecttype-id.md): Update the details for an existing object type. See creating an object type or the overview page for details on the required fields. Note: The entire JSON structure for the object type must be provided in the request body. Anything not provided in the request body will be removed from the object typ…
- [Delete an object type](https://developers.hubspot.com/docs/api-reference/legacy/crm/extensions/v1/delete-extensions-sales-objects-v1-object-types-objecttype-id.md): Delete an existing object type. This will permanently remove the object type and all associated data.

### Imports

- [CRM API | Imports](https://developers.hubspot.com/docs/api-reference/legacy/crm/imports/guide.md): Imports are used to populate a HubSpot account with object data that can be used with the sales, marketing, and service tools.
- [Cancel an active import](https://developers.hubspot.com/docs/api-reference/legacy/crm/imports/cancel-import.md): This allows a developer to cancel an active import.
- [Start a new import](https://developers.hubspot.com/docs/api-reference/legacy/crm/imports/create-import.md)
- [Retrieve errors for a specific import](https://developers.hubspot.com/docs/api-reference/legacy/crm/imports/get-import-errors.md): Retrieves detailed error records for a specific import operation, enabling you to identify and troubleshoot records that failed during processing.
- [Get the information on any import](https://developers.hubspot.com/docs/api-reference/legacy/crm/imports/get-import.md): A complete summary of an import record, including any updates.
- [Get active imports](https://developers.hubspot.com/docs/api-reference/legacy/crm/imports/get-imports.md)

### Limits Tracking

- [Limits tracking](https://developers.hubspot.com/docs/api-reference/legacy/crm/limits-tracking/guide.md): Learn how to view an account's usage and limits for CRM data such as records, associations, pipelines, and properties.
- [Read calculation property limits](https://developers.hubspot.com/docs/api-reference/legacy/crm/limits-tracking/get-calculated-properties.md): Returns overall limit and per object usage for calculated properties
- [Read custom object limits](https://developers.hubspot.com/docs/api-reference/legacy/crm/limits-tracking/get-custom-object-types.md): Returns limits and usage for custom object schemas
- [Read custom property limits](https://developers.hubspot.com/docs/api-reference/legacy/crm/limits-tracking/get-custom-properties.md): Returns limits and usage per object for custom properties
- [Read record association limits](https://developers.hubspot.com/docs/api-reference/legacy/crm/limits-tracking/get-from.md): Returns objects with records approaching or at association limits
- [Read record association limits from an object](https://developers.hubspot.com/docs/api-reference/legacy/crm/limits-tracking/get-limits-tracking-fromObjectTypeId.md): Returns objects for which the from object has records approaching or at association limits
- [Read record association limits between two objects](https://developers.hubspot.com/docs/api-reference/legacy/crm/limits-tracking/get-limits-tracking-toObjectTypeId.md): Returns records approaching or at association limits between two objects
- [Read association label limits](https://developers.hubspot.com/docs/api-reference/legacy/crm/limits-tracking/get-limits-tracking.md): Returns limits and usage for custom association labels
- [Read pipeline limits](https://developers.hubspot.com/docs/api-reference/legacy/crm/limits-tracking/get-pipelines.md): Returns limits and usage per object for pipelines
- [Read record limits](https://developers.hubspot.com/docs/api-reference/legacy/crm/limits-tracking/get-records.md): Returns limits and usage per object for records

### Segments (Lists)

- [Lists (Segments) API](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/guide.md): Learn how to create and manage segments using the Lists API.
- [List (segment) filters overview](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/list-filters.md): Learn how to structure filters when using the Lists API
- [V1 List API migration guide](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/v1-list-api-migration-guide.md): Learn how to migrate from the legacy v1 Contacts Lists API to the latest Lists API
- [Create list](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/create-list.md)
- [Retrieve a list by ID](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/get-list-listId.md): Fetch a single list by **ILS list ID**.
- [Retrieve a list by name](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/get-list.md): Retrieve a specific list by its name and object type ID. This endpoint allows you to fetch details about a list, including its properties and optionally its filters. It is useful for accessing list information based on specific criteria.
- [Retrieve lists](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/get-lists.md)
- [Restore list](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/restore-list.md): Restore a previously deleted list by **ILS list ID**. Deleted lists are eligible to be restored up-to 90-days after the list has been deleted.
- [Search Lists](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/search-lists.md): Search lists by list name or page through all lists by providing an empty `query` value.
- [Update List Name](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/update-list-name.md): Update the name of a list. The name must be globally unique relative to all other public lists in the portal.
- [Delete a list](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/delete-list.md): Delete a list by **ILS list ID**. Lists deleted through this endpoint can be restored up to 90-days following the delete. After 90-days, the list is purged and can no longer be restored.

#### ID Mapping

- [Translate Legacy List Id to Modern List Id in Batch](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/id-mapping/translate-id-batch.md): This API allows translation of a batch of legacy list id's to list id's. This allows for a maximum of 10,000 id's. This is a temporary API allowed for mapping old id's to new id's and will expire on May 30th, 2025.
- [Translate Legacy List Id to Modern List Id](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/id-mapping/translate-id.md): This API allows translation of legacy list id to list id. This is a temporary API allowed for mapping old id's to new id's and will expire on May 30th, 2025.

#### List Management

- [Cancel the conversion of a list](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/list-management/cancel-conversion.md): Delete an existing scheduled conversion for a list.
- [Creates a folder](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/list-management/create-folder.md): Creates a folder with the given information.
- [Retrieve the conversion details for a list](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/list-management/get-conversion-details.md): Retrieve the conversion details for a list. This can be used to check for an upcoming conversion, or to get the details of when a list was already converted.
- [Retrieve a folder](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/list-management/get-folder.md): Retrieves a folder and recursively includes all folders via the childNodes attribute.  The child lists field will be empty in all child nodes. Only the folder retrieved will include the child lists in that folder.
- [Moves a folder](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/list-management/move-folder.md): This moves the folder from its current location to a new location. It updates the parent of this folder to the new Id given.
- [Moves a list to a given folder](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/list-management/move-list-to-folder.md): Given a list and a folder, the list will be moved to that folder.
- [Rename a folder](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/list-management/rename-folder.md): Renames the given folderId with a new name.
- [Schedule or update the conversion of a list to static](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/list-management/schedule-conversion.md): Schedule the conversion of an active list into a static list, or update the already scheduled conversion. This can be scheduled for a specific date or based on activity.
- [Delete a folder](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/list-management/delete-folder.md): Deletes the folder with the given Id.

#### Memberships

- [Add All Records from a Source List to a Destination List](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/memberships/add-to-list-from-source-list.md): Add all of the records from a *source list* (specified by the `sourceListId`) to a *destination list* (specified by the `listId`). Records that are already members of the *destination list* will be ignored. The *destination* and *source list* IDs must be different. The *destination* and *source list…
- [Add records to a list](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/memberships/add-to-list.md): Add the records provided to the list. Records that do not exist or that are already members of the list are ignored.
- [Get lists a record is a member of](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/memberships/get-lists-per-record.md): For given record provide lists this record is member of.
- [Retrieve lists](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/memberships/get-memberships-batch.md)
- [Fetch List Memberships Ordered by Added to List Date](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/memberships/get-memberships-by-added-date.md): Fetch the memberships of a list in order sorted by the time the records were added to the list.
- [Fetch List Memberships Ordered by ID](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/memberships/get-memberships-by-id.md): Fetch the memberships of a list in order sorted by the `recordId` of the records in the list.
- [Remove Records from a List](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/memberships/remove-from-list.md): Remove the records provided from the list. Records that do not exist or that are not members of the list are ignored.
- [Delete all records from a list](https://developers.hubspot.com/docs/api-reference/legacy/crm/lists/memberships/delete-list-listId.md): Remove **all** of the records from a list. ***Note:*** *The list is not deleted.*

### Owners

- [CRM API | Owners](https://developers.hubspot.com/docs/api-reference/legacy/crm/owners/guide.md): HubSpot uses owners to assign CRM objects to specific people. These endpoints are used to get a list of available owners for an account.
- [Retrieve an owner](https://developers.hubspot.com/docs/api-reference/legacy/crm/owners/get-owner.md): Retrieve details of a specific owner using either their 'id' or 'userId'.
- [Retrieve all owners](https://developers.hubspot.com/docs/api-reference/legacy/crm/owners/get-owners.md)

#### v2

- [Get an owner by ID](https://developers.hubspot.com/docs/api-reference/legacy/crm/owners/v2/get-owner.md): Get an owner by its ownerId.
- [Get a list of owners](https://developers.hubspot.com/docs/api-reference/legacy/crm/owners/v2/get-owners.md): This endpoint returns all owners in a HubSpot account. Owners are automatically created and updated in HubSpot when new users are added or existing owners are synced from Salesforce. Use case for this endpoint: Owners play a key role in the CRM, but can also be used for task assignment inside the ma…

### Pipelines

- [CRM API | Pipelines](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/guide.md): The Pipelines endpoints are used to view, create, and manage pipelines in the HubSpot CRM and service tools.
- [Create a pipeline](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/create-pipeline.md): Create a new pipeline with the provided property values. The entire pipeline object, including its unique ID, will be returned in the response.
- [Return a pipeline by ID](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/get-pipeline.md): Return a single pipeline object identified by its unique `{pipelineId}`.
- [Retrieve all pipelines](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/get-pipelines.md): Return all pipelines for the object type specified by `{objectType}`.
- [Replace a pipeline](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/replace-pipeline.md)
- [Delete a pipeline](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/delete-pipeline.md)

#### Audit

- [Return an audit of all changes to a pipeline stage](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/audit/audit-pipeline-stage.md): Return a reverse chronological list of all mutations that have occurred on the pipeline stage identified by `{stageId}`.
- [Return an audit of all changes to the pipeline](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/audit/audit-pipeline.md): Return a reverse chronological list of all mutations that have occurred on the pipeline identified by `{pipelineId}`.

#### Stages

- [Create a pipeline stage](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/stages/create-pipeline-stage.md)
- [Return a pipeline stage by ID](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/stages/get-pipeline-stage.md)
- [Return all stages of a pipeline](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/stages/get-pipeline-stages.md): Return all the stages associated with the pipeline identified by `{pipelineId}`.
- [Replace a pipeline stage](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/stages/replace-pipeline-stage.md): Replace all the properties of an existing pipeline stage with the values provided. The updated stage will be returned in the response.
- [Update specific properties of an existing pipeline stage.](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/stages/update-pipeline-stage.md)
- [Delete a pipeline stage](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/stages/delete-pipeline-stage.md)

#### v1

- [Create a new pipeline](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/v1/create-pipeline.md): Create a new pipeline for the specified object type. Currently this supports deals and tickets. Each entry in the stages list must have the required fields: stageId, label, displayOrder, and metadata (for deals).
- [Get all pipelines for a specified object type](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/v1/get-pipelines.md): This endpoint is used to get all pipelines for either deals or tickets. (These are currently the only supported object types for this endpoint.) Use case for this endpoint: It can be used to sync all of a particular company's deal pipelines to an external system. Note: This endpoint requires either…
- [Update an existing pipeline](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/v1/update-pipeline.md): Update an existing pipeline for the specified object type.
- [Delete an existing pipeline](https://developers.hubspot.com/docs/api-reference/legacy/crm/pipelines/v1/delete-pipeline.md): Delete an existing pipeline.

### Properties

- [Properties API](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/guide.md): The CRM properties endpoints allow you to manage custom properties as well as view default property details for any object.
- [Create a property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/create-property.md): Create and return a copy of a new property for the specified object type.
- [Read all properties](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/get-properties.md): Read all existing properties for the specified object type and HubSpot account.
- [Read a property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/get-property.md): Read a property identified by {propertyName}.
- [Access and manage Sensitive Data](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/sensitive-data.md): Learn how to gain access to and manage Sensitive Data via API.
- [Update a property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/update-property.md): Perform a partial update of a property identified by '{propertyName}'. Provided fields will be overwritten.
- [Archive a property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/delete-property.md): Move a property identified by {propertyName} to the recycling bin.

#### Batch

- [Create a batch of properties](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/batch/create-properties.md): Create a batch of properties using the same rules as when creating an individual property.
- [Read a batch of properties](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/batch/get-properties.md): Read a provided list of properties.
- [Archive a batch of properties](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/batch/delete-properties.md): Archive a provided list of properties. This method will return a 204 No Content response on success regardless of the initial state of the property (e.g. active, already archived, non-existent).

#### Groups

- [Create a property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/groups/create-property.md): Create and return a copy of a new property group.
- [Read all property groups](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/groups/get-properties.md): Read all existing property groups for the specified object type and HubSpot account.
- [Read a property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/groups/get-property.md): Read a property group identified by {groupName}.
- [Update a property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/groups/update-property.md): Perform a partial update of a property group identified by {groupName}. Provided fields will be overwritten.
- [Archive a property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/groups/delete-property.md): Move a property group identified by {groupName} to the recycling bin.

#### v2

- [Get an object property group by name](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v2/get-properties-v2-objecttype-groups-named-groupname.md): Get a property group for the specified object type by its name.
- [Get all object property groups](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v2/get-properties-v2-objecttype-groups.md): Get all of the property groups for the specified object type.
- [Get an object property by name](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v2/get-properties-v2-objecttype-properties-named-name.md): Get a property for the specified object type by name, along with the property definition.
- [Get all object properties](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v2/get-properties-v2-objecttype-properties.md): Get all of the properties for the specified object type, along with the property definitions. This will include all default (HubSpot created) and custom (customer or integration created) properties for the specified object.
- [Update an object property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v2/patch-properties-v2-objecttype-properties-named-propertyname.md): Update an existing property for the specified object. Only fields included will be updated. Any omitted fields will retain their current value.
- [Create an object property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v2/post-properties-v2-objecttype-groups.md): Create a new property group for the specified object type. Property groups are used to keep related properties grouped together when viewing records in HubSpot.
- [Create a new object property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v2/post-properties-v2-objecttype-properties.md): Create a new property that can be used with the specified object type.
- [Update an object property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v2/put-properties-v2-objecttype-groups-named-groupname.md): Update the details for an existing property group.
- [Delete an object property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v2/delete-properties-v2-objecttype-groups-named-groupname.md): Delete an existing property group for the specified object type.
- [Delete an object property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v2/delete-properties-v2-objecttype-properties-named-propertyname.md): Delete an existing object property.

#### v1

##### Company Properties

- [Get Company Property Groups](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/company-properties/get-properties-v1-companies-groups.md): Returns all of the company property groups for a portal. Property groups are used to organize properties. When viewing company properties in HubSpot, the properties will be sorted by their property group.
- [Get a Company Property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/company-properties/get-properties-v1-companies-properties-named-propertyname.md): Get a specific company property by its (internal) name.
- [Get all company properties](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/company-properties/get-properties-v1-companies-properties.md): This endpoint is used to get all company properties, including their definition, for a given account. Use case for this endpoint: You can use this endpoint to get the metadata required for a sync between HubSpot and an external system, as customers can create their own custom properties.
- [Create a Company Property Group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/company-properties/post-properties-v1-companies-groups.md): Create a new company property group. Property groups allow you to more easily manage properties in a given portal and make contact records easier to parse for the user. If your integration is creating company properties, it's a good practice to create a new property group to include all of the prope…
- [Create a Company Property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/company-properties/post-properties-v1-companies-properties.md): Create a property on every company object to store a specific piece of data. This works similarly to the way custom properties work on both the Contacts and Deals objects.
- [Update a Company Property Group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/company-properties/put-properties-v1-companies-groups-named-groupname.md): Update a previously created company property group.
- [Update a Company Property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/company-properties/put-properties-v1-companies-properties-named-propertyname.md): Update the specified company property. This does not update the value on a specified company, but instead changes the definition of the company property.
- [Delete a Company Property Group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/company-properties/delete-properties-v1-companies-groups-named-groupname.md): Delete an existing company property group.
- [Delete a Company Property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/company-properties/delete-properties-v1-companies-properties-named-propertyname.md): Delete an existing company property. Since much in the HubSpot system can be downstream of a property, as a best practice you should only delete those properties that you have created.

##### Contact Properties

- [Get Contact Property Group Details](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/contact-properties/get-properties-v1-contacts-groups-named-groupName.md): Get property group information and optionally get all the contact properties in a property group. Property groups allow you to more easily manage properties in a given HubID and make contact records easier to parse for the user.
- [Get Contact Property Groups](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/contact-properties/get-properties-v1-contacts-groups.md): Returns all of the contact property groups for a given portal.
- [Get a contact property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/contact-properties/get-properties-v1-contacts-properties-named-propertyname.md): Contact properties store specific information for contact records. The get a contact property endpoint retrieves the details of a specific property set up for a HubSpot account.
- [Get all contact properties](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/contact-properties/get-properties-v1-contacts-properties.md): Contact properties are fields that store information about a contact record. This endpoint is used to retrieve all contact properties in a HubSpot account, including all default properties and any custom contact properties that have been created for the account.
- [Create a contact property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/contact-properties/post-properties-v1-contacts-groups.md): Create a new contact property group. Property groups allow you to more easily manage properties in a given portal and make contact records easier to parse for the user.
- [Create a contact property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/contact-properties/post-properties-v1-contacts-properties.md): This endpoint is used to create a custom property that can store a specific piece of data for contact records. Use case for this endpoint: Let's say an integration needs to keep track of contacts' anniversaries. You can use this endpoint to create a custom date property for this information.
- [Update a contact property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/contact-properties/put-properties-v1-contacts-groups-named-groupname.md): Update a previously created contact property group.
- [Update a contact property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/contact-properties/put-properties-v1-contacts-properties-named-propertyname.md): This endpoint is used to update a specified contact property. See the page for creating a property for more details about how type and fieldtype related to each other.
- [Delete a contact property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/contact-properties/delete-properties-v1-contacts-groups-named-groupname.md): Delete an existing contact property group.
- [Delete a contact property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/contact-properties/delete-properties-v1-contacts-properties-named-propertyname.md): For an account, delete an existing contact property.

##### Deal Properties

- [Get deal property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/deal-properties/get-properties-v1-deals-groups-named-propertygroup.md): Returns a specific deal property group for a given portal.
- [Get deal property groups](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/deal-properties/get-properties-v1-deals-groups.md): Returns all of the deal property groups for a given portal.
- [Get a deal property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/deal-properties/get-properties-v1-deals-properties-named-propertyname.md): Returns a JSON object representing the definition for a given deal property. Looking for your deal stages? The dealstage property is controlled by the separate CRM Pipelines API.
- [Get all deal properties](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/deal-properties/get-properties-v1-deals-properties.md): Deal properties store specific information for deal records. This endpoint retrieves all default and custom deal properties from a HubSpot account, including their definitions. Note: The dealstage property is controlled by the separate CRM Pipelines API.
- [Create a deal property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/deal-properties/post-properties-v1-deals-groups.md): Create a new deal property group to gather like deal-level data. Property groups allow you to more easily manage properties in a given account and make contact records easier to parse for the user.
- [Create a deal property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/deal-properties/post-properties-v1-deals-properties.md): Create a property on every deal object to store a specific piece of data. In the example below, we want to store an invoice number on a separate field on deals.
- [Update a deal property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/deal-properties/put-properties-v1-deals-groups-named-groupname.md): Update a previously created deal property group.
- [Update a deal property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/deal-properties/put-properties-v1-deals-properties-named-propertyname.md): Update the definition for the specified deal property. Need to update your deal stage definitions or your pipeline definitions? The dealstage and pipeline properties are managed using the CRM Pipelines API.
- [Delete a deal property group](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/deal-properties/delete-properties-v1-deals-groups-named-groupname.md): Delete an existing deal property group. If the deletion was successful, you will receive a 204 No Content response.
- [Delete a deal property](https://developers.hubspot.com/docs/api-reference/legacy/crm/properties/v1/deal-properties/delete-properties-v1-deals-properties-named-propertyname.md): For an account, delete an existing deal property.

### Property Validations

- [Property validations API](https://developers.hubspot.com/docs/api-reference/legacy/crm/property-validations/guide.md): The property validations endpoints allow you to view, create, and update validation rules for your properties.

#### Public Property Validations

- [Retrieve a property's validation rules](https://developers.hubspot.com/docs/api-reference/legacy/crm/property-validations/public-property-validations/get-property-validation.md): Read a property's validation rules identified by {propertyName}.
- [Retrieve a validation rule by property name and rule type](https://developers.hubspot.com/docs/api-reference/legacy/crm/property-validations/public-property-validations/get-property-validations-ruleType.md): Retrieve a specific validation rule for a property identified by its name and rule type.
- [Retrieve all property validation rules](https://developers.hubspot.com/docs/api-reference/legacy/crm/property-validations/public-property-validations/get-property-validations.md): Read all properties with validation rules for a given object.
- [Update a validation rule](https://developers.hubspot.com/docs/api-reference/legacy/crm/property-validations/public-property-validations/update-property-validation.md): Update a specific validation rule for a property identified by its name and rule type.

## OpenAPI Specs

- [crm-calls-v3](/docs/specs/legacy/v3/crm-calls-v3.json)
- [crm-emails-v3](/docs/specs/legacy/v3/crm-emails-v3.json)
- [crm-meetings-v3](/docs/specs/legacy/v3/crm-meetings-v3.json)
- [crm-notes-v3](/docs/specs/legacy/v3/crm-notes-v3.json)
- [crm-postal-mail-v3](/docs/specs/legacy/v3/crm-postal-mail-v3.json)
- [crm-tasks-v3](/docs/specs/legacy/v3/crm-tasks-v3.json)
- [crm-engagements-v1](/docs/specs/legacy/v1/crm-engagements-v1.json)
- [crm-associations-v4](/docs/specs/legacy/v4/crm-associations-v4.json)
- [crm-associations-schema-v4](/docs/specs/legacy/v4/crm-associations-schema-v4.json)
- [crm-associations-schema-v3](/docs/specs/legacy/v3/crm-associations-schema-v3.json)
- [crm-associations-v3](/docs/specs/legacy/v3/crm-associations-v3.json)
- [crm-associations-v1](/docs/specs/legacy/v1/crm-associations-v1.json)
- [crm-exports-v3](/docs/specs/legacy/v3/crm-exports-v3.json)
- [crm-calling-extensions-v3](/docs/specs/legacy/v3/crm-calling-extensions-v3.json)
- [crm-public-app-crm-cards-v3](/docs/specs/legacy/v3/crm-public-app-crm-cards-v3.json)
- [crm-timeline-v3](/docs/specs/legacy/v3/crm-timeline-v3.json)
- [crm-timeline-v1](/docs/specs/legacy/v1/crm-timeline-v1.json)
- [crm-transcriptions-v3](/docs/specs/legacy/v3/crm-transcriptions-v3.json)
- [crm-video-conferencing-extension-v3](/docs/specs/legacy/v3/crm-video-conferencing-extension-v3.json)
- [crm-extensions-v1](/docs/specs/legacy/v1/crm-extensions-v1.json)
- [crm-imports-v3](/docs/specs/legacy/v3/crm-imports-v3.json)
- [crm-limits-tracking-v3](/docs/specs/legacy/v3/crm-limits-tracking-v3.json)
- [crm-lists-v3](/docs/specs/legacy/v3/crm-lists-v3.json)
- [crm-appointments-v3](/docs/specs/legacy/v3/crm-appointments-v3.json)
- [crm-carts-v3](/docs/specs/legacy/v3/crm-carts-v3.json)
- [crm-commerce-payments-v3](/docs/specs/legacy/v3/crm-commerce-payments-v3.json)
- [crm-commerce-subscriptions-v3](/docs/specs/legacy/v3/crm-commerce-subscriptions-v3.json)
- [crm-communications-v3](/docs/specs/legacy/v3/crm-communications-v3.json)
- [crm-companies-v3](/docs/specs/legacy/v3/crm-companies-v3.json)
- [crm-companies-v2](/docs/specs/legacy/v2/crm-companies-v2.json)
- [crm-companies-v1](/docs/specs/legacy/v1/crm-companies-v1.json)
- [crm-contacts-v3](/docs/specs/legacy/v3/crm-contacts-v3.json)
- [crm-contacts-v1](/docs/specs/legacy/v1/crm-contacts-v1.json)
- [crm-contracts-v3](/docs/specs/legacy/v3/crm-contracts-v3.json)
- [crm-courses-v3](/docs/specs/legacy/v3/crm-courses-v3.json)
- [crm-custom-objects-v3](/docs/specs/legacy/v3/crm-custom-objects-v3.json)
- [crm-deal-splits-v3](/docs/specs/legacy/v3/crm-deal-splits-v3.json)
- [crm-deals-v3](/docs/specs/legacy/v3/crm-deals-v3.json)
- [crm-deals-v1](/docs/specs/legacy/v1/crm-deals-v1.json)
- [crm-discounts-v3](/docs/specs/legacy/v3/crm-discounts-v3.json)
- [crm-feedback-submissions-v3](/docs/specs/legacy/v3/crm-feedback-submissions-v3.json)
- [crm-fees-v3](/docs/specs/legacy/v3/crm-fees-v3.json)
- [crm-forecasts-v3](/docs/specs/legacy/v3/crm-forecasts-v3.json)
- [crm-forecast-types-v3](/docs/specs/legacy/v3/crm-forecast-types-v3.json)
- [crm-goal-targets-v3](/docs/specs/legacy/v3/crm-goal-targets-v3.json)
- [crm-invoices-v3](/docs/specs/legacy/v3/crm-invoices-v3.json)
- [crm-leads-v3](/docs/specs/legacy/v3/crm-leads-v3.json)
- [crm-line-items-v3](/docs/specs/legacy/v3/crm-line-items-v3.json)
- [crm-line-items-v1](/docs/specs/legacy/v1/crm-line-items-v1.json)
- [crm-listings-v3](/docs/specs/legacy/v3/crm-listings-v3.json)
- [crm-object-library-v3](/docs/specs/legacy/v3/crm-object-library-v3.json)
- [crm-objects-v3](/docs/specs/legacy/v3/crm-objects-v3.json)
- [crm-orders-v3](/docs/specs/legacy/v3/crm-orders-v3.json)
- [crm-partner-clients-v3](/docs/specs/legacy/v3/crm-partner-clients-v3.json)
- [crm-partner-services-v3](/docs/specs/legacy/v3/crm-partner-services-v3.json)
- [crm-products-v3](/docs/specs/legacy/v3/crm-products-v3.json)
- [crm-products-v1](/docs/specs/legacy/v1/crm-products-v1.json)
- [crm-projects-v3](/docs/specs/legacy/v3/crm-projects-v3.json)
- [crm-quotes-v3](/docs/specs/legacy/v3/crm-quotes-v3.json)
- [crm-schemas-v3](/docs/specs/legacy/v3/crm-schemas-v3.json)
- [crm-services-v3](/docs/specs/legacy/v3/crm-services-v3.json)
- [crm-taxes-v3](/docs/specs/legacy/v3/crm-taxes-v3.json)
- [crm-tickets-v3](/docs/specs/legacy/v3/crm-tickets-v3.json)
- [crm-tickets-v1](/docs/specs/legacy/v1/crm-tickets-v1.json)
- [crm-users-v3](/docs/specs/legacy/v3/crm-users-v3.json)
- [crm-crm-owners-v3](/docs/specs/legacy/v3/crm-crm-owners-v3.json)
- [crm-owners-v2](/docs/specs/legacy/v2/crm-owners-v2.json)
- [crm-pipelines-v3](/docs/specs/legacy/v3/crm-pipelines-v3.json)
- [crm-pipelines-v1](/docs/specs/legacy/v1/crm-pipelines-v1.json)
- [crm-properties-v3](/docs/specs/legacy/v3/crm-properties-v3.json)
- [crm-properties-v2](/docs/specs/legacy/v2/crm-properties-v2.json)
- [crm-properties-v1-companies](/docs/specs/legacy/v1/crm-properties-v1-companies.json)
- [crm-properties-v1-contacts](/docs/specs/legacy/v1/crm-properties-v1-contacts.json)
- [crm-properties-v1-deals](/docs/specs/legacy/v1/crm-properties-v1-deals.json)
- [crm-property-validations-v3](/docs/specs/legacy/v3/crm-property-validations-v3.json)
